Bug 198542 - postfix, yum, and fetchmail does not work correctly under Fedora Core (2.6.17-1.2139_FC4)
postfix, yum, and fetchmail does not work correctly under Fedora Core (2.6.17...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-11 14:21 EDT by Keith Todd
Modified: 2008-01-19 23:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:36:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Keith Todd 2006-07-11 14:21:39 EDT
Description of problem:

Servers under RHES 3 and 4 VMWare GSX and Workstation.
Fedora Core (2.6.17-1.2139_FC4)

Postfix cannot send email under this kernel to some mail servers.  
Hotmail, yahoo, MS Exchange servers, and others will just queue the messages.  
Mail queue on this will get large and state that “server lost connection after 
greeting”  or
“Connection timed out”

Fetchmail will not get any pop accounts email.  Timed out.

I have 3 postfix servers.  Under this kernel mail will not work correctly.

Yum will not do updates once this kernel is installed.

Under this kernel everything works fine
Fedora Core (2.6.16-1.2111_FC4)

I could not find a list of this bug anywhere on your site.  If there is a 
listing I apologized.








Version-Release number of selected component (if applicable):
Fedora Core (2.6.17-1.2139_FC4)

How reproducible:
using VMWorkStation on RHES4 Linux I created another FC4 server.
yum worked fine under Fedora Core (2.6.11-1.1369_FC4)

Steps to Reproduce:
1.create new FC4 server
2.did yum update (installed the Fedora Core (2.6.17-1.2139_FC4)
3. postfix, yum, and fetchmail did not work
4. under Fedora Core (2.6.16-1.2111_FC4)everything works fine
  
Actual results:
Jul  9 04:05:35 it-manage postfix/smtp[27961]: connect to mail-in.freeserve.com
[193.252.22.143]: read timeout (port 25)
Jul  9 04:05:36 it-manage postfix/smtp[27951]: connect to mail.relsys.com
[64.28.42.247]: read timeout (port 25)
Jul  9 04:05:36 it-manage postfix/smtp[27966]: connect to mail.relsys.com
[64.28.42.247]: read timeout (port 25)
Jul  9 04:05:36 it-manage postfix/smtp[27980]: connect to mail.relsys.com
[64.28.42.247]: read timeout (port 25)
Jul  9 04:05:36 it-manage postfix/smtp[27979]: connect to mail.relsys.com
[64.28.42.247]: read timeout (port 25)
Jul  9 04:05:36 it-manage postfix/smtp[27874]: connect to mail.relsys.com
[64.28.42.247]: read timeout (port 25)
Jul  9 04:05:36 it-manage postfix/smtp[28021]: connect to mail.1-domain-names-
registration.com[66.199.168.4]: read timeout (port 25)
Jul  9 04:05:36 it-manage postfix/smtp[28023]: connect to mail.tciedu.com
[12.151.125.19]: read timeout (port 25)
Jul  9 04:05:36 it-manage postfix/smtp[28021]: 41214C0117: to=<admin@1-domain-
names-registration.com>, relay=none, delay=1982, status=deferred (connect to 
mail.1-domain-names-registration.com[66.199.168.4]: read timeout)
Jul  9 04:05:36 it-manage postfix/smtp[28025]: connect to mail.mediamatters.org
[63.240.197.71]: read timeout (port 25)
Jul  9 04:05:36 it-manage postfix/smtp[28026]: connect to 
smtp1.mke.securence.com[204.11.209.99]: read timeout (port 25)
Jul  9 04:05:36 it-manage postfix/smtp[28025]: 74737C00F2: 
to=<HelgaqdaPeterson@mediamatters.org>, relay=none, delay=9847, status=deferred 
(connect to mail.mediamatters.org[63.240.197.71]: read timeout)
Jul  9 04:05:36 it-manage postfix/smtp[28022]: connect to mail.cargoline.com
[83.64.143.43]: read timeout (port 25)
Jul  9 04:05:36 it-manage postfix/smtp[28029]: connect to MAIL.afsmi.org
[72.236.131.98]: read timeout (port 25)
Jul  9 04:05:36 it-manage postfix/smtp[28029]: 7D6A2C011A: 
to=<conver@afsmi.org>, relay=none, delay=1634, status=deferred (connect to 
MAIL.afsmi.org[72.236.131.98]: read timeout)
Jul  9 04:05:36 it-manage postfix/smtp[28036]: connect to mail.flavirtual.com
[64.176.147.105]: read timeout (port 25)


Expected results:
Jul 11 14:27:49 it-manage postfix/smtpd[5327]: connect from unknown
[201.127.105.219]
Jul 11 14:27:50 it-manage postfix/smtp[5404]: connect to mailb.wlsstamping.com
[64.28.32.56]: server dropped connection without sending the initial SMTP 
greeting (port 25)
Jul 11 14:27:50 it-manage postfix/smtp[5404]: 304718784BE: 
to=<holland@wlsstamping.com>, relay=mail.wlsstamping.com[64.28.32.58], 
delay=79, status=bounced (host mail.wlsstamping.com[64.28.32.58] said: 550 
<holland@wlsstamping.com>, Recipient unknown (in reply to RCPT TO command))
Jul 11 14:27:50 it-manage postfix/cleanup[5399]: B75F48784CB: message-
id=<20060711182750.B75F48784CB@it-manage.com>
Jul 11 14:27:50 it-manage postfix/qmgr[1728]: B75F48784CB: from=<>, size=18269, 
nrcpt=1 (queue active)
Jul 11 14:27:50 it-manage postfix/qmgr[1728]: 304718784BE: removed
Jul 11 14:27:54 it-manage postfix/smtpd[5327]: B38958784BE: client=unknown
[201.127.105.219]
Jul 11 14:27:56 it-manage postfix/cleanup[5399]: B38958784BE: message-
id=<001601c6a51f$9c46757a$42af7fc9@zliz>
Jul 11 14:27:56 it-manage postfix/smtp[5414]: B75F48784CB: 
to=<dfhioyvdcb@selaco.com>, relay=mail.selaco.com[71.5.45.61], delay=6, 
status=sent (250 2.6.0  <20060711182750.B75F48784CB@it-manage.com> Queued mail 
for delivery)
Jul 11 14:27:56 it-manage postfix/qmgr[1728]: B75F48784CB: removed
Jul 11 14:28:00 it-manage postfix/qmgr[1728]: B38958784BE: 
from=<ikdbwo@akaconsultants.com>, size=69769, nrcpt=1 (queue active)
Jul 11 14:28:01 it-manage postfix/smtpd[5327]: disconnect from unknown
[201.127.105.219]
Jul 11 14:28:03 it-manage postfix/smtp[5407]: connect to mailb.wlsstamping.com
[64.28.32.56]: server dropped connection without sending the initial SMTP 
greeting (port 25)
Jul 11 14:28:04 it-manage postfix/smtp[5407]: C03DE8784C7: 
to=<cmoore@wlsstamping.com>, relay=mail.wlsstamping.com[64.28.32.58], delay=81, 
status=sent (250 Ok, message saved <Message-ID: <20060711182643.C03DE8784C7@it-
manage.com>>)
Jul 11 14:28:04 it-manage postfix/qmgr[1728]: C03DE8784C7: removed
Jul 11 14:28:05 it-manage postfix/smtpd[5406]: connect from hotwire-
47.hotwire.postdirect.com[206.165.246.47]
Jul 11 14:28:05 it-manage postfix/smtpd[5415]: connect from client-87-247-125-
51.turbozone.lt[87.247.125.51]
Jul 11 14:28:06 it-manage postfix/smtpd[5406]: 368DB8784C7: client=hotwire-
47.hotwire.postdirect.com[206.165.246.47]
Jul 11 14:28:06 it-manage postfix/cleanup[5399]: 368DB8784C7: message-
id=<HotwireDeals.6q4x35pp7.gl@Hotwire-Travel.com>


Additional info:

testing 3 servers on postfix and all give the same results for yum, fetchmail 
and postfix.
Comment 1 Keith Todd 2006-07-12 07:05:25 EDT
Fedora Core (2.6.17-1.2141_FC4)does the same as (2.6.17-1.2139_FC4)as far as 
postfix.  I tested for 2 hours and mail would not send out of queue.
Comment 2 Dave Jones 2006-09-16 21:29:34 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 3 Dave Jones 2006-10-16 13:24:41 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Jon Stanley 2008-01-19 23:36:51 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.